Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttribute<V>

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<V>,V>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<V>

Direct Known Subclasses:
  `RadiusAttribute.RadiusAttributeAbinary`, `RadiusAttribute.RadiusAttributeInteger`, `RadiusAttribute.RadiusAttributeString`

public class RadiusAttribute<V> extends Tlv<RadiusAttributeInfo<V>,V>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RadiusAttribute.RadiusAttributeAbinary`
  `static class`
  `RadiusAttribute.RadiusAttributeInteger`
  `static class`
  `RadiusAttribute.RadiusAttributeIpAddr`
  `static class`
  `RadiusAttribute.RadiusAttributeString`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `tag`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `data, info, length, value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RadiusAttribute(int vendor, int type, int tag, ByteBuffer data)`
  ``
  `RadiusAttribute(int vendor, int type, int tag, V value)`
  ``
  `RadiusAttribute(int vendor, int type, ByteBuffer data)`
  `protected`
  `RadiusAttribute(RadiusAttributeInfo<V> info, int tag, ByteBuffer data)`
  ``
  `RadiusAttribute(RadiusAttributeInfo<V> info, int tag, ByteBuffer data, V value)`
  `protected`
  `RadiusAttribute(RadiusAttributeInfo<V> info, int tag, V value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadiusAttribute<V>`
  `clone()`
  `boolean`
  `equals(Object o)`
  `int`
  `getTag()`
  `String`
  `toString()`
  `String`
  `toString(boolean withName)`
  `void`
  `write(ByteBuffer bb)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `getData, getDataAsByteArray, getLength, getValue`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tag

    protected final int tag

- ## Constructor Details

  - ### RadiusAttribute

    public RadiusAttribute(RadiusAttributeInfo<V> info, int tag, ByteBuffer data, V value)

  - ### RadiusAttribute

    protected RadiusAttribute(RadiusAttributeInfo<V> info, int tag, ByteBuffer data)

  - ### RadiusAttribute

    protected RadiusAttribute(RadiusAttributeInfo<V> info, int tag, V value)

  - ### RadiusAttribute

    public RadiusAttribute(int vendor, int type, int tag, ByteBuffer data)

  - ### RadiusAttribute

    public RadiusAttribute(int vendor, int type, int tag, V value)

  - ### RadiusAttribute

    public RadiusAttribute(int vendor, int type, ByteBuffer data)

- ## Method Details

  - ### getTag

    public int getTag()

  - ### clone

    public RadiusAttribute<V> clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(boolean withName)

  - ### write

    public void write(ByteBuffer bb)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`